-- All the SPB Definitions in this file
-- I redid them to be as painless as posible
-- SPB defs should be
-- rspb.addReplacement(ID, Animation, DeadState, HasSound, IsTall)

-- Sprite name - A string of up to 4 characters that is the name of the sprite
--               used for the SPB.
-- Animation - List of frames that the SPB should loop through.
-- DeadState - Frame that the SPB should jump to when it changes to its
--             deathstate.
-- Sound - A string of up to 6 characters that is the name of the sound to play
--         when the SPB locks onto someone.
-- IsTall - Set to `true` to have the SPB turn transparent
--          when it is close to the camera.
--          Good for SPBs that will end up blocking the camera.

-- The animation argument should be a list of frame numbers that the SPB should
-- loop through while out. Each frame will be shown for a single tic, so to keep
-- the animation on the same frame for multiple tics, enter the same frame
-- number mutliple times in a row.
-- The default SPB has the following frame numbers:
-- {0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 0, 8, 0, 8, 0, 8}


-- Uno SPB replacement
-- Sprites by Callmore#4947
rspb.addReplacement("unpb", {0}, 0, "rspbun", false)

-- "Handsome" (Yaranaika) SBP by Chaobrother.
-- Shall we do it?
-- Sprites by Chaobrother#1451
rspb.addReplacement("yspb", {0}, 0, "rspbys", false)

-- LETS FUCKING GOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOOO spb replacement
-- Sprites by HattyBoyo#1639
rspb.addReplacement("lfpb", {0, 1, 0, 2, 0, 3, 0, 4, 0, 5, 0, 6, 0, 7, 0, 8, 0, 8, 0, 8}, 3, "rspblf", false)

print("** Loaded all base random SPBs **")